# 3D hill model

A simple 3D hill model to investigate the performance of h-adapted meshes using high-order elements. This 3D MT model was introduced by [Nam et al. (2007)](https://doi.org/10.1111/j.1365-2478.2007.00614.x).


# meshes
The materials tags in meshes are:

- rho air: tag 1
- rho earth: tag 2

The meshes folder is organized as follows:

## experiments of paper's section 3.1.1
The naming convention for all files is p{order}_{i}skin.msh for order in {1,2} and for i in {1,2,4,6,8,10}. This folder contains the following mesh files:

- p1_1skin.msh
- p1_2skin.msh
- p1_4skin.msh
- p1_6skin.msh
- p1_8skin.msh
- p1_10skin.msh
- p2_1skin.msh
- p2_2skin.msh
- p2_4skin.msh
- p2_6skin.msh
- p2_8skin.msh
- p2_10skin.msh

## experiments of paper's section 3.1.2
The naming convention for all files is 8k_dofs_p{order}.msh for order in {1,2,3,4}. This folder contains the following mesh files:

- 8k_dofs_p1.msh
- 8k_dofs_p2.msh
- 8k_dofs_p3.msh
- 8k_dofs_p4.msh

# results
Here we include the electromagnetic responses (apparent resistivities and phases) for modes `xy` and `yx`. The format file is `h5`. We provide the `import_responses.py` script to load all data into a Python shell.
